﻿using System.Data;
using System.Windows;
using System;
using System.Collections.Generic;

namespace FieldLayouts
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        bool isFirst = true;

        private DataSet mclsDataSet;
        private DataTable mclsDTColSets;
        private Random rnd = new Random((int)DateTime.Now.Ticks);
        private List<string> layoutList = new List<string>() { "Layout1", "Layout2", "Layout3", "Layout4" };

        private void xamDataGrid1_AssigningFieldLayoutToItem(object sender, Infragistics.Windows.DataPresenter.Events.AssigningFieldLayoutToItemEventArgs e)
        {
            //HERE I CHECK IF THE RECORD IS FIRST OR NOT
            if (isFirst)
            {
                isFirst = false;
            }
            else
            e.FieldLayout = xamDataGrid1.FieldLayouts[layoutList[rnd.Next(0, 4)]];
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            //HERE I SET THE isFirst TO TRUE AGAIN
            isFirst = true;


            mclsDataSet = new DataSet();
            mclsDTColSets = new DataTable("Settings");
            mclsDataSet.Tables.Add(mclsDTColSets);

            mclsDTColSets.Columns.Add(new DataColumn("ID", typeof(System.Int32)));
            mclsDTColSets.Columns.Add(new DataColumn("Description", typeof(System.String)));
            mclsDTColSets.Columns.Add(new DataColumn("Rounding", typeof(System.Double)));
            mclsDTColSets.Columns.Add(new DataColumn("B", typeof(System.Boolean)));

            xamDataGrid1.DataSource = mclsDataSet.Tables["Settings"].DefaultView;

            DataRow clsRow;
            int lines = rnd.Next(15, 25);

            for (int i = 0; i < lines; i++)
            {
                clsRow = mclsDTColSets.NewRow();
                clsRow["ID"] = rnd.Next(1, 100);
                clsRow["Description"] = "Random: " + rnd.Next(1000, 10000).ToString();
                clsRow["Rounding"] = ((double)rnd.Next(1, 1000) / 1000).ToString();
                clsRow["B"] = Convert.ToBoolean(rnd.Next(1, 100));
                mclsDTColSets.Rows.Add(clsRow);
            }
        }
    }
}
